/*
********************************************************************************
* COPYRIGHT(c)    ϻ, 2019, 2020
* 
*        (as is).
*     .
********************************************************************************
*/



#ifndef __BOARD_H
#define __BOARD_H


#include "stm32f446xx.h"

//USB
#define   USB_FS_GPIO                      GPIOA
#define   USB_FS_DM_PIN                    11
#define   USB_FS_DP_PIN                    12
#define   USB_FS_PINS_AF                   10
//SAI1 - master
#define   SAI_MASTER                       SAI1_Block_B
#define   SAI_MASTER_MCLK_GPIO             GPIOC
#define   SAI_MASTER_MCK_PIN               0
#define   SAI_MASTER_SCK_FS_GPIO           GPIOB
#define   SAI_MASTER_SCK_PIN               12
#define   SAI_MASTER_FS_PIN                9
#define   SAI_MASTER_SD_GPIO               GPIOA
#define   SAI_MASTER_SD_PIN                9
#define   SAI_MASTER_MCLK_SCK_SD_FS_AF     6
#define   SAI_MASTER_DMA_STREAM            DMA2_Stream5
#define   SAI_MASTER_DMA_CHANNEL           0
#define   SAI_MASTER_DMA_IRQ               DMA2_Stream5_IRQn
//SAI2 - slave
#define   SAI_SLAVE                        SAI1_Block_A
#define   SAI_SLAVE_SD_GPIO                GPIOB
#define   SAI_SLAVE_SD_PIN                 2
#define   SAI_SLAVE_SD_AF                  6
#define   SAI_SLAVE_DMA_STREAM             DMA2_Stream1
#define   SAI_SLAVE_DMA_CHANNEL            0
//#define   SAI_SLAVE_DMA_IRQ                DMA2_Stream1_IRQn

#define   CONFIG_1_GPIO                    GPIOB
#define   CONFIG_1_PIN                     7 //pcb pin 14
#define   CONFIG_2_GPIO                    GPIOC
#define   CONFIG_2_PIN                     5 //pcb pin 13
#define   CONFIG_3_GPIO                    GPIOC
#define   CONFIG_3_PIN                     6 //pcb pin 11
#define   CONFIG_4_GPIO                    GPIOA
#define   CONFIG_4_PIN                     7 //pcb pin 15
#define   CONFIG_5_GPIO                    GPIOA
#define   CONFIG_5_PIN                     5 //pcb pin 16
#define   EXT_SYNC_SELECT_GPIO             GPIOB
#define   EXT_SYNC_SELECT_1_PIN            13 //pcb pin 9
#define   EXT_SYNC_SELECT_2_PIN            15 //pcb pin 8
#define   EXT_SYNC_SELECT_3_PIN            4  //pcb pin 10
#define   EXT_SYNC_SELECT_MASK             ((1 << EXT_SYNC_SELECT_1_PIN) | (1 << EXT_SYNC_SELECT_2_PIN) | (1 << EXT_SYNC_SELECT_3_PIN))
#define   EXT_SYNC_SELECT_44100            0
#define   EXT_SYNC_SELECT_48000            (1 << EXT_SYNC_SELECT_1_PIN)
#define   EXT_SYNC_SELECT_96000            (1 << EXT_SYNC_SELECT_2_PIN)
#define   EXT_SYNC_SELECT_192000           ((1 << EXT_SYNC_SELECT_1_PIN) | (1 << EXT_SYNC_SELECT_2_PIN))
#define   EXT_SYNC_SELECT_88200            (EXT_SYNC_SELECT_96000 | (1 << EXT_SYNC_SELECT_3_PIN))
#define   EXT_SYNC_SELECT_176400           (EXT_SYNC_SELECT_192000 | (1 << EXT_SYNC_SELECT_3_PIN))
#define   EXT_SYNC_GPIO                    GPIOC
#define   EXT_SYNC_PIN                     9 //pcb pin 2
#define   EXT_SYNC_AF                      5
#define   OUT_CLK_CONFIG_1_GPIO            GPIOC
#define   OUT_CLK_CONFIG_1_PIN             7 //pcb pin 6
#define   OUT_CLK_CONFIG_2_GPIO            GPIOA
#define   OUT_CLK_CONFIG_2_PIN             15 //pcb pin 5
#define   OUT_CLK_CONFIG_3_GPIO            GPIOC
#define   OUT_CLK_CONFIG_3_PIN             10 //pcb pin 4

#define   POWER_DISABLE_GPIO               GPIOC
#define   POWER_DISABLE_PIN                12 //pcb pin 3

#define   SYNC_MODE_GPIO_2                 GPIOA
#define   SYNC_MODE_PIN_2                  8 //pcb pin 1

#define   BCLK_Fs_RATIO_GPIO               GPIOA
#define   BCLK_Fs_RATIO_PIN                4 //pcb marking 17

#define   CONFIG_PIN_1_MASK                (1 << 0)
#define   CONFIG_PIN_2_MASK                (1 << 1)
#define   CONFIG_PIN_3_MASK                (1 << 2)
#define   CONFIG_PINS_MASK                 (CONFIG_PIN_1_MASK | CONFIG_PIN_2_MASK | CONFIG_PIN_3_MASK)

#define   OUT_CLK_CONFIG_1                 ((1 << OUT_CLK_CONFIG_1_PIN) | (1 << OUT_CLK_CONFIG_3_PIN))
#define   OUT_CLK_CONFIG_2                 (1 << OUT_CLK_CONFIG_3_PIN)
#define   OUT_CLK_CONFIG_3                 (1 << OUT_CLK_CONFIG_1_PIN)
#define   OUT_CLK_CONFIG_4                 0

#define   TDM_MODE_GPIO                    GPIOC
#define   TDM_MODE_PIN                     4 //pcb pin 18

#define   SYNC_MODE_1_MASK                 (1 << 1)
#define   SYNC_MODE_2_MASK                 (1 << 0)
#define   SYNC_MODE_MASK                   (SYNC_MODE_1_MASK | SYNC_MODE_2_MASK)


enum BCLK_FsRatioModes
{
  BCLK_Fs_RES_DEPENDENT,
  BCLK_Fs_FIXED,
};



void USB_I2S_Init(void);


#endif //__BOARD_H


